﻿
$ErrorActionPreference = 'Stop';

$softVersion = '5.2.6.20190927'
$shortVersion = '5.2.6'

$osBitness = Get-ProcessorBits

$packageName= 'mrViewer'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://sourceforge.net/projects/mrviewer/files/v${shortVersion}/${packageName}-v${shortVersion}-Windows-32.zip"
$url64      = "https://sourceforge.net/projects/mrviewer/files/v${shortVersion}/${packageName}-v${shortVersion}-Windows-64.zip"

If ( $osBitness -Match "32" )
{
	$programFiles = $env:ProgramFiles
}
Else
{
	$programFiles = $env:ProgramW6432
}

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $programFiles
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64

  softwareName  = 'mrViewer*'

  checksum      = '1EDF5200A101B2C354953553731C82AC8B5A12600EBEAA8A0DE2BC44FA1AD561'
  checksumType  = 'sha256'
  checksum64    = 'C8132C50132FDDECD8BCE293851E6B06DD4E81359A13A5ECA85CF30EB055F28A'
  checksumType64= 'sha256'

  validExitCodes= @(0, 3010, 1641)
  silentArgs   = ''
}

$target = Join-Path $programFiles "${packageName}-v*-Windows-${osBitness}"
rm -r -fo $target | ForEach-Object {
      	      rm -r -fo $_
	      $PathToRemove = Join-Path $_ "bin"
	      $Newpath = @{}
	      foreach ($path in [Environment]::GetEnvironmentVariable("PATH","Machine").split(';'))
	      {
	         If ($Path)
  		  {
		    If (($path -ine "$PathToRemove") -AND ($path -ine "$PathToRemove\"))
    		    { 
      		    [string[]]$Newpath += "$path"
    		    }
  		  }
	      }
	      $AssembledNewPath = ($newpath -join(';')).trimend(';')

	      [Environment]::SetEnvironmentVariable("PATH",$AssembledNewPath,"Machine")

	    }


Install-ChocolateyZipPackage @packageArgs



$target = Join-Path $programFiles "${packageName}-v${shortVersion}-Windows-${osBitness}/bin"
Install-ChocolateyPath -PathToInstall "${target}" -PathType 'Machine'


$DesktopPath = [Environment]::GetFolderPath("CommonDesktopDirectory")

Install-ChocolateyShortcut -ShortcutFilePath "${DesktopPath}/${packageName}-${osBitness} v${shortVersion}.lnk" -TargetPath "${target}/${packageName}.exe"


$StartMenu = [Environment]::GetFolderPath("CommonStartMenu")
$StartPath = Join-Path "$StartMenu" "Programs"


Install-ChocolateyShortcut -shortcutFilePath "${StartPath}/${packageName}-${osBitness} v${shortVersion}.lnk" -targetPath "${target}/${packageName}.exe"


